Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] python-pyQt5 fixes
@ 2020-05-19  3:21 fosslinux
  2020-05-19  9:56 ` fosslinux
                   ` (10 more replies)
  0 siblings, 11 replies; 12+ messages in thread
From: fosslinux @ 2020-05-19  3:21 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 687 bytes --]

There is a new pull request by fosslinux against master on the void-packages repository

https://github.com/fosslinux/void-packages python-pyQt5-makedepends
https://github.com/void-linux/void-packages/pull/22109

python-pyQt5 fixes
1. It didn't build for me natively on x86_64 because `qmake` couldnt find `qt5` on the host. Hence, I added it to `hostmakedepends`. LMK if this is the wrong way to do it and it should be patched out instead.

2. There is a `mv` recursive move warning in pre_build that I silenced.

3. I made xlint happy.

Letting travis run, I only tested x86_64 natively.

A patch file from https://github.com/void-linux/void-packages/pull/22109.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-python-pyQt5-makedepends-22109.patch --]
[-- Type: text/x-diff, Size: 3340 bytes --]

From 80d9f01c80d9f9901d3ec34c815487a5c117ec10 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:15:20 +1000
Subject: [PATCH 1/3] python-pyQt5: require qt5 in hostmakedepends

Otherwise it errors out with an ugly qmake cannot find qt5 error.
---
 srcpkgs/python-PyQt5/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index a39f7d5f160..b6d55dd90b3 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -7,10 +7,10 @@ lib32disabled=yes
 wrksrc="PyQt5-${version}"
 pycompile_module="PyQt5"
 hostmakedepends="pkg-config
- python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel
- qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
- qt5-multimedia-devel qt5-sensors-devel qt5-serialport-devel qt5-svg-devel
- qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
+ python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel qt5
+ qt5-devel qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
+ qt5-multimedia-devel qt5-qmake qt5-sensors-devel qt5-serialport-devel
+ qt5-svg-devel qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
  qt5-x11extras-devel qt5-xmlpatterns-devel qt5-networkauth-devel pulseaudio-devel
  python-enum34"
 makedepends="${hostmakedepends/pkg-config/}"

From f54ec206f43d216bdbad01e15ecb4ba9949e196e Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:16:49 +1000
Subject: [PATCH 2/3] python-PyQt5: hide 'error' message

It isn't really an error but looks ominous.
---
 srcpkgs/python-PyQt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index b6d55dd90b3..10a67618d68 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -24,7 +24,7 @@ checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}
-	mv * pyqt5-${py2_ver} || true
+	mv * pyqt5-${py2_ver} 2>/dev/null || true
 	cp -a pyqt5-${py2_ver} pyqt5-${py3_ver}
 	rm -rf pyqt5-${py2_ver}/pyuic/uic/port_v3
 	rm -rf pyqt5-${py3_ver}/pyuic/uic/port_v2

From cc92022b696a4bb4693d6ec357f12437a5131f9f Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:18:24 +1000
Subject: [PATCH 3/3] python-PyQt5: make xlint happy

---
 srcpkgs/python-PyQt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index 10a67618d68..977e6362f9d 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -3,7 +3,6 @@ pkgname=python-PyQt5
 version=5.13.2
 revision=2
 _sipver=4.19.19
-lib32disabled=yes
 wrksrc="PyQt5-${version}"
 pycompile_module="PyQt5"
 hostmakedepends="pkg-config
@@ -21,6 +20,7 @@ homepage="https://riverbankcomputing.com/software/pyqt/intro"
 license="GPL-3.0-only"
 distfiles="https://www.riverbankcomputing.com/static/Downloads/PyQt5/${version}/PyQt5-${version}.tar.gz"
 checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
+lib32disabled=yes
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
@ 2020-05-19  9:56 ` fosslinux
  2020-05-19  9:57 ` fosslinux
                   ` (9 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-19  9:56 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 229 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-630717339

Comment:
Well, since travis timed out, I just attempted a build on x86_64-musl, and it succeed.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
  2020-05-19  9:56 ` fosslinux
@ 2020-05-19  9:57 ` fosslinux
  2020-05-21 11:49 ` sgn
                   ` (8 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-19  9:57 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 284 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-630717339

Comment:
Well, since travis timed out, I just attempted a build on x86_64-musl, and it succeed.

Please note that AFAICT the xlint errors are wrong.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
  2020-05-19  9:56 ` fosslinux
  2020-05-19  9:57 ` fosslinux
@ 2020-05-21 11:49 ` sgn
  2020-05-21 22:37 ` [PR PATCH] [Updated] " fosslinux
                   ` (7 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: sgn @ 2020-05-21 11:49 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 219 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-632043331

Comment:
> Please note that AFAICT the xlint errors are wrong.

`xlint` is correct ;)



^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (2 preceding siblings ...)
  2020-05-21 11:49 ` sgn
@ 2020-05-21 22:37 ` fosslinux
  2020-05-21 22:39 ` fosslinux
                   ` (6 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-21 22:37 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 688 bytes --]

There is an updated pull request by fosslinux against master on the void-packages repository

https://github.com/fosslinux/void-packages python-pyQt5-makedepends
https://github.com/void-linux/void-packages/pull/22109

python-pyQt5 fixes
1. It didn't build for me natively on x86_64 because `qmake` couldnt find `qt5` on the host. Hence, I added it to `hostmakedepends`. LMK if this is the wrong way to do it and it should be patched out instead.

2. There is a `mv` recursive move warning in pre_build that I silenced.

3. I made xlint happy.

Letting travis run, I only tested x86_64 here.

A patch file from https://github.com/void-linux/void-packages/pull/22109.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-python-pyQt5-makedepends-22109.patch --]
[-- Type: text/x-diff, Size: 3607 bytes --]

From 80d9f01c80d9f9901d3ec34c815487a5c117ec10 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:15:20 +1000
Subject: [PATCH 1/3] python-pyQt5: require qt5 in hostmakedepends

Otherwise it errors out with an ugly qmake cannot find qt5 error.
---
 srcpkgs/python-PyQt5/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index a39f7d5f160..b6d55dd90b3 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -7,10 +7,10 @@ lib32disabled=yes
 wrksrc="PyQt5-${version}"
 pycompile_module="PyQt5"
 hostmakedepends="pkg-config
- python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel
- qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
- qt5-multimedia-devel qt5-sensors-devel qt5-serialport-devel qt5-svg-devel
- qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
+ python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel qt5
+ qt5-devel qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
+ qt5-multimedia-devel qt5-qmake qt5-sensors-devel qt5-serialport-devel
+ qt5-svg-devel qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
  qt5-x11extras-devel qt5-xmlpatterns-devel qt5-networkauth-devel pulseaudio-devel
  python-enum34"
 makedepends="${hostmakedepends/pkg-config/}"

From f54ec206f43d216bdbad01e15ecb4ba9949e196e Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:16:49 +1000
Subject: [PATCH 2/3] python-PyQt5: hide 'error' message

It isn't really an error but looks ominous.
---
 srcpkgs/python-PyQt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index b6d55dd90b3..10a67618d68 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -24,7 +24,7 @@ checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}
-	mv * pyqt5-${py2_ver} || true
+	mv * pyqt5-${py2_ver} 2>/dev/null || true
 	cp -a pyqt5-${py2_ver} pyqt5-${py3_ver}
 	rm -rf pyqt5-${py2_ver}/pyuic/uic/port_v3
 	rm -rf pyqt5-${py3_ver}/pyuic/uic/port_v2

From 9964d84697dbe2372f1ded25f2c0b4d1a4c82c84 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:18:24 +1000
Subject: [PATCH 3/3] python-PyQt5: make xlint happy

---
 srcpkgs/python-PyQt5/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index 10a67618d68..61ab8fe18f8 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -3,7 +3,6 @@ pkgname=python-PyQt5
 version=5.13.2
 revision=2
 _sipver=4.19.19
-lib32disabled=yes
 wrksrc="PyQt5-${version}"
 pycompile_module="PyQt5"
 hostmakedepends="pkg-config
@@ -17,10 +16,11 @@ makedepends="${hostmakedepends/pkg-config/}"
 depends="python-sip-PyQt5>=${_sipver} python-enum34"
 short_desc="Python2 bindings for the Qt5 toolkit"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://riverbankcomputing.com/software/pyqt/intro"
 license="GPL-3.0-only"
+homepage="https://riverbankcomputing.com/software/pyqt/intro"
 distfiles="https://www.riverbankcomputing.com/static/Downloads/PyQt5/${version}/PyQt5-${version}.tar.gz"
 checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
+lib32disabled=yes
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (3 preceding siblings ...)
  2020-05-21 22:37 ` [PR PATCH] [Updated] " fosslinux
@ 2020-05-21 22:39 ` fosslinux
  2020-05-21 23:11 ` sgn
                   ` (5 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-21 22:39 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 960 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-632381869

Comment:
> srcpkgs/python-PyQt5/template: Place homepage= after license=

Fixed this.

> srcpkgs/python-PyQt5/template:53: indent with tabs

This is `cat`ing to a file, it needs to be spaces.

> srcpkgs/python-PyQt5/template:7: do not set pycompile_module, it is autodetected
> srcpkgs/python-PyQt5/template:100: do not set pycompile_module, it is autodetected
> srcpkgs/python-PyQt5/template:117: do not set pycompile_module, it is autodetected
> srcpkgs/python-PyQt5/template:283: do not set pycompile_module, it is autodetected

It seems to me that there are a variety of different things that could be compiled in the source tree, I think that the `pycompile_module`s do need to be there? I sometimes get this wrong, so please do tell me if you are sure that the pycompile_module directives should be removed.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (4 preceding siblings ...)
  2020-05-21 22:39 ` fosslinux
@ 2020-05-21 23:11 ` sgn
  2020-05-22  0:30 ` [PR PATCH] [Updated] " fosslinux
                   ` (4 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: sgn @ 2020-05-21 23:11 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 1156 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-632391374

Comment:
On 2020-05-21 15:39:32-0700, fosslinux <notifications@github.com> wrote:
> > srcpkgs/python-PyQt5/template:53: indent with tabs
> 
> This is `cat`ing to a file, it needs to be spaces.

	sed -i -e "53,57s/^   //" 

or even:

	sed -i -e "53,57s/^    /	/"

Does it work after that?

Sorry but PyQt5 website banned my IP range, it seems like.

> > srcpkgs/python-PyQt5/template:7: do not set pycompile_module, it is autodetected
> > srcpkgs/python-PyQt5/template:100: do not set pycompile_module, it is autodetected
> > srcpkgs/python-PyQt5/template:117: do not set pycompile_module, it is autodetected
> > srcpkgs/python-PyQt5/template:283: do not set pycompile_module, it is autodetected
> 
> It seems to me that there are a variety of different things that
> could be compiled in the source tree, I think that the
> `pycompile_module`s do need to be there? I sometimes get this wrong,
> so please do tell me if you are sure that the pycompile_module
> directives should be removed.

Yes, it should be removed.

-- 
Danh


^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (5 preceding siblings ...)
  2020-05-21 23:11 ` sgn
@ 2020-05-22  0:30 ` fosslinux
  2020-05-22  0:30 ` fosslinux
                   ` (3 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-22  0:30 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 688 bytes --]

There is an updated pull request by fosslinux against master on the void-packages repository

https://github.com/fosslinux/void-packages python-pyQt5-makedepends
https://github.com/void-linux/void-packages/pull/22109

python-pyQt5 fixes
1. It didn't build for me natively on x86_64 because `qmake` couldnt find `qt5` on the host. Hence, I added it to `hostmakedepends`. LMK if this is the wrong way to do it and it should be patched out instead.

2. There is a `mv` recursive move warning in pre_build that I silenced.

3. I made xlint happy.

Letting travis run, I only tested x86_64 here.

A patch file from https://github.com/void-linux/void-packages/pull/22109.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-python-pyQt5-makedepends-22109.patch --]
[-- Type: text/x-diff, Size: 5455 bytes --]

From aa8d0e93de363f44ad4448f7bd67ecc9abbba9f7 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:15:20 +1000
Subject: [PATCH 1/3] python-pyQt5: require qt5 in hostmakedepends

Otherwise it errors out with an ugly qmake cannot find qt5 error.
---
 srcpkgs/python-PyQt5/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index a39f7d5f160..b6d55dd90b3 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -7,10 +7,10 @@ lib32disabled=yes
 wrksrc="PyQt5-${version}"
 pycompile_module="PyQt5"
 hostmakedepends="pkg-config
- python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel
- qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
- qt5-multimedia-devel qt5-sensors-devel qt5-serialport-devel qt5-svg-devel
- qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
+ python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel qt5
+ qt5-devel qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
+ qt5-multimedia-devel qt5-qmake qt5-sensors-devel qt5-serialport-devel
+ qt5-svg-devel qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel
  qt5-x11extras-devel qt5-xmlpatterns-devel qt5-networkauth-devel pulseaudio-devel
  python-enum34"
 makedepends="${hostmakedepends/pkg-config/}"

From b2cb877e44eeb1afa4f80943bc07bf1cc4f68c23 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:16:49 +1000
Subject: [PATCH 2/3] python-PyQt5: hide 'error' message

It isn't really an error but looks ominous.
---
 srcpkgs/python-PyQt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index b6d55dd90b3..10a67618d68 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -24,7 +24,7 @@ checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}
-	mv * pyqt5-${py2_ver} || true
+	mv * pyqt5-${py2_ver} 2>/dev/null || true
 	cp -a pyqt5-${py2_ver} pyqt5-${py3_ver}
 	rm -rf pyqt5-${py2_ver}/pyuic/uic/port_v3
 	rm -rf pyqt5-${py3_ver}/pyuic/uic/port_v2

From 649674c3dd1f926d3049972114fe6af6ee642760 Mon Sep 17 00:00:00 2001
From: fosslinux <fosslinux@aussies.space>
Date: Tue, 19 May 2020 13:18:24 +1000
Subject: [PATCH 3/3] python-PyQt5: make xlint happy

---
 srcpkgs/python-PyQt5/template | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/python-PyQt5/template b/srcpkgs/python-PyQt5/template
index 10a67618d68..29018572a34 100644
--- a/srcpkgs/python-PyQt5/template
+++ b/srcpkgs/python-PyQt5/template
@@ -3,9 +3,7 @@ pkgname=python-PyQt5
 version=5.13.2
 revision=2
 _sipver=4.19.19
-lib32disabled=yes
 wrksrc="PyQt5-${version}"
-pycompile_module="PyQt5"
 hostmakedepends="pkg-config
  python-devel python3-devel python-sip-devel python3-sip-devel python-dbus-devel qt5
  qt5-devel qt5-tools-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel
@@ -17,10 +15,11 @@ makedepends="${hostmakedepends/pkg-config/}"
 depends="python-sip-PyQt5>=${_sipver} python-enum34"
 short_desc="Python2 bindings for the Qt5 toolkit"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://riverbankcomputing.com/software/pyqt/intro"
 license="GPL-3.0-only"
+homepage="https://riverbankcomputing.com/software/pyqt/intro"
 distfiles="https://www.riverbankcomputing.com/static/Downloads/PyQt5/${version}/PyQt5-${version}.tar.gz"
 checksum=adc17c077bf233987b8e43ada87d1e0deca9bd71a13e5fd5fc377482ed69c827
+lib32disabled=yes
 
 pre_build() {
 	mkdir -p pyqt5-${py2_ver}
@@ -50,11 +49,11 @@ qt_shared = True
 [Qt ${qt_version}]
 # _QOpenGLFunctions_ES2 doesn't work
 pyqt_modules = QtCore QtGui QtHelp QtMultimedia
-    QtMultimediaWidgets QtNetwork QtOpenGL QtPrintSupport QtQml QtQuick
-    QtSql QtSvg QtTest QtWebKit QtWebKitWidgets QtWidgets QtXml
-    QtXmlPatterns QtDesigner QtDBus QtSensors QtSerialPort
-    QtX11Extras QtBluetooth QtPositioning QtQuickWidgets QtWebSockets
-    QtWebChannel QtLocation QtNfc QtNetworkAuth
+ QtMultimediaWidgets QtNetwork QtOpenGL QtPrintSupport QtQml QtQuick
+ QtSql QtSvg QtTest QtWebKit QtWebKitWidgets QtWidgets QtXml
+ QtXmlPatterns QtDesigner QtDBus QtSensors QtSerialPort
+ QtX11Extras QtBluetooth QtPositioning QtQuickWidgets QtWebSockets
+ QtWebChannel QtLocation QtNfc QtNetworkAuth
 EOF
 
 			_sysroot="--sysroot $XBPS_CROSS_BASE"
@@ -97,7 +96,6 @@ python-PyQt5-devel-tools_package() {
 	 pyqt5:pylupdate5:/usr/bin/python2-pylupdate5
 	 pyqt5:pyrcc5:/usr/bin/python2-pyrcc5
 	 pyqt5:pyuic5:/usr/bin/python2-pyuic5"
-	pycompile_module="PyQt5"
 	pkg_install() {
 		vmove usr/bin/python2-*
 		vmove ${py2_sitelib}/PyQt5/pylupdate.so
@@ -114,7 +112,6 @@ python3-PyQt5-devel-tools_package() {
 	 pyqt5:pylupdate5:/usr/bin/python3-pylupdate5
 	 pyqt5:pyrcc5:/usr/bin/python3-pyrcc5
 	 pyqt5:pyuic5:/usr/bin/python3-pyuic5"
-	pycompile_module="PyQt5"
 	pkg_install() {
 		vmove usr/bin/python3-*
 		vmove ${py3_sitelib}/PyQt5/pylupdate.so
@@ -280,7 +277,6 @@ python-PyQt5-xmlpatterns_package() {
 }
 python3-PyQt5_package() {
 	lib32disabled=yes
-	pycompile_module="PyQt5"
 	depends="python3-sip-PyQt5>=${_sipver}"
 	short_desc="${short_desc/Python2/Python3}"
 	pkg_install() {

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (6 preceding siblings ...)
  2020-05-22  0:30 ` [PR PATCH] [Updated] " fosslinux
@ 2020-05-22  0:30 ` fosslinux
  2020-05-25  1:09 ` fosslinux
                   ` (2 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-22  0:30 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 207 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-632413821

Comment:
Ok, done, xlint passes without error now. The build also worked.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (7 preceding siblings ...)
  2020-05-22  0:30 ` fosslinux
@ 2020-05-25  1:09 ` fosslinux
  2020-05-27 14:37 ` sgn
  2020-05-27 20:50 ` fosslinux
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-25  1:09 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 179 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-633330435

Comment:
@sgn Would you mind reviewing again?

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (8 preceding siblings ...)
  2020-05-25  1:09 ` fosslinux
@ 2020-05-27 14:37 ` sgn
  2020-05-27 20:50 ` fosslinux
  10 siblings, 0 replies; 12+ messages in thread
From: sgn @ 2020-05-27 14:37 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 209 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-634704267

Comment:
My IP is still banned by their host. Sorry, I couldn't test this change.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: python-pyQt5 fixes
  2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
                   ` (9 preceding siblings ...)
  2020-05-27 14:37 ` sgn
@ 2020-05-27 20:50 ` fosslinux
  10 siblings, 0 replies; 12+ messages in thread
From: fosslinux @ 2020-05-27 20:50 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 310 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/22109#issuecomment-634931969

Comment:
Oh, that is quite unfortunate. No pressure, but you could use sources.voidlinux.org, if all that you need to do is get the source code? No problem if you can't though.

^ permalink raw reply	[flat|nested] 12+ messages in thread

end of thread, back to index

Thread overview: 12+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-19  3:21 [PR PATCH] python-pyQt5 fixes fosslinux
2020-05-19  9:56 ` fosslinux
2020-05-19  9:57 ` fosslinux
2020-05-21 11:49 ` sgn
2020-05-21 22:37 ` [PR PATCH] [Updated] " fosslinux
2020-05-21 22:39 ` fosslinux
2020-05-21 23:11 ` sgn
2020-05-22  0:30 ` [PR PATCH] [Updated] " fosslinux
2020-05-22  0:30 ` fosslinux
2020-05-25  1:09 ` fosslinux
2020-05-27 14:37 ` sgn
2020-05-27 20:50 ` fosslinux

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git